#include <gtk/gtk.h>

#include "rugby-application.h"
#include "rugby-app-window.h"

struct _RugbyApplication
{
    GtkApplication parent;
};

G_DEFINE_TYPE (RugbyApplication, rugby_application, GTK_TYPE_APPLICATION);

static void
rugby_application_init (RugbyApplication *app)
{
}

static void
rugby_application_activate (GApplication *app)
{
    RugbyAppWindow *win = rugby_app_window_new (RUGBY_APPLICATION (app));
    gtk_window_present (GTK_WINDOW (win));
}

static void
rugby_application_class_init (RugbyApplicationClass *klass)
{
    GApplicationClass *app_class = G_APPLICATION_CLASS (klass);
    app_class->activate = rugby_application_activate;
}

RugbyApplication *
rugby_application_new (void)
{
    return g_object_new (RUGBY_TYPE_APPLICATION,
                         "application-id", "uk.me.bcowan.rugby",
                         NULL);
}
